# Disseny Sostre Solar Grup 6 

___
> **Autors**: Pol Pachón i Iván Ruiz 
> 
> **Versió 2023/2024**

## Objectius 
> Dissenyar i modelitzar una PCB per controlar un sostre solar, propi d'un cotxe. 

## Requisits/Especificacions
* Alimentació: 12V, Regulada: 3.3V
* Microcontrolador: dsPIC33CK128MC502
* 1 Polsador
* 5 Switches
* 1 Llum LED d'ambient
* Communicació CAN
* Communicació USART
* Communicació I2C
* 2 Drivers de motor
* 2 Ponts H amb mosfets

## Diagrama de blocs
![Diagrama de blocs](/Proj/Im/Diagrama_Blocs.png)

## Components
| Descripció | Ref | Package | Datasheet | Proveidor |
| :--------: | :-: | :-----: | :-------: | :-------: |
| Microcontrolador | dsPIC33CK128MC502 | SOIC-28 | [Datasheet](https://ww1.microchip.com/downloads/aemDocuments/documents/MCU16/ProductDocuments/DataSheets/dsPIC33CK256MC506-Family-Data-Sheet-DS70005473C.pdf) | [Microchip](https://www.microchip.com/) |
| Mosfet | SQJ940EP | SO-8L | [Datasheet](https://www.vishay.com/docs/62767/sqj940ep.pdf) | [Vishay](www.vishay.com) |
| Driver | DRV8703-Q1 | VQFN | [Datasheet](https://www.ti.com/lit/ds/symlink/drv8703-q1.pdf?ts=1713174133794&ref_url=https%253A%252F%252Fwww.ti.com%252Fproduct%252FDRV8703-Q1) | [Microchip](https://www.microchip.com/) |
| Sensor Hall | DRV5013-Q1 | SOT-23 | [Datasheet](https://www.ti.com/lit/ds/symlink/drv5013-q1.pdf?ts=1713174250406&ref_url=https%253A%252F%252Fwww.ti.com%252Fproduct%252FDRV5013-Q1) | [Microchip](https://www.microchip.com/) |
| Multiplexor | TMUX6202 | RQX | [Datasheet](https://www.ti.com/lit/ds/symlink/drv5013-q1.pdf?ts=1713174250406&ref_url=https%253A%252F%252Fwww.ti.com%252Fproduct%252FDRV5013-Q1) | [Microchip](https://www.microchip.com/) |
| Demultiplexor | ADS7828 | TSSOP-16 | [Datasheet](https://www.ti.com/lit/ds/symlink/ads7828.pdf) | [Microchip](https://www.microchip.com/) |

## Historial de canvis
| Data | Autor | Versió | Descripció |
| :-: | :-: | :-: | :-: | 
| 20/03/2024 | PolPachon | Initial commit | Creació de les carpetes |
| 02/04/2024 | PolPachon | V1 | Primer esquematic |
| 08/04/2024 | PolPachon | V1.2 | Afegida connexió USART i I2C pels switches i un MUX pels LEDs |
| 09/04/2024 | Ivan Ruiz | V1.2 | Afegida connexió ISCP i Layout a mig fer |
| 09/04/2024 | PolPachon | V1 | Layout finalitzat |
| 17/04/2024 | Ivan Ruiz | V2 | Segona versió Layout |
| 17/04/2024 | PolPachon | V2.1 | Correció segona versió Layout |
| 22/04/2024 | PolPachon | V3 | Esquematic final i Layout final |
| 23/04/2024 | PolPachon | V3 | Canvis menors a l'esquematic i Layout |